Loading...
Searching...
No Matches
psa_tls12_prf_key_derivation_s Struct Reference

`#include <crypto_builtin_key_derivation.h>`

## Data Fields

uint8_t | private_left_in_block
uint8_t | private_block_number
psa_tls12_prf_key_derivation_state_t | private_state
uint8_t * | private_secret
size_t | private_secret_length
uint8_t * | private_seed
size_t | private_seed_length
uint8_t * | private_label
size_t | private_label_length
uint8_t * | private_other_secret
size_t | private_other_secret_length
uint8_t | private_Ai [PSA_HASH_MAX_SIZE]
uint8_t | private_output_block [PSA_HASH_MAX_SIZE]

## Detailed Description

Definition at line 64 of file crypto_builtin_key_derivation.h.

## Field Documentation

## private_Ai

uint8_t psa_tls12_prf_key_derivation_s::private_Ai[PSA_HASH_MAX_SIZE]

Definition at line 89 of file crypto_builtin_key_derivation.h.

## private_block_number

uint8_t psa_tls12_prf_key_derivation_s::private_block_number

Definition at line 74 of file crypto_builtin_key_derivation.h.

## private_label

uint8_t* psa_tls12_prf_key_derivation_s::private_label

Definition at line 82 of file crypto_builtin_key_derivation.h.

## private_label_length

size_t psa_tls12_prf_key_derivation_s::private_label_length

Definition at line 83 of file crypto_builtin_key_derivation.h.

## private_left_in_block

uint8_t psa_tls12_prf_key_derivation_s::private_left_in_block

Definition at line 71 of file crypto_builtin_key_derivation.h.

## private_other_secret

uint8_t* psa_tls12_prf_key_derivation_s::private_other_secret

Definition at line 85 of file crypto_builtin_key_derivation.h.

## private_other_secret_length

size_t psa_tls12_prf_key_derivation_s::private_other_secret_length

Definition at line 86 of file crypto_builtin_key_derivation.h.

## private_output_block

uint8_t psa_tls12_prf_key_derivation_s::private_output_block[PSA_HASH_MAX_SIZE]

Definition at line 92 of file crypto_builtin_key_derivation.h.

## private_secret

uint8_t* psa_tls12_prf_key_derivation_s::private_secret

Definition at line 78 of file crypto_builtin_key_derivation.h.

## private_secret_length

size_t psa_tls12_prf_key_derivation_s::private_secret_length

Definition at line 79 of file crypto_builtin_key_derivation.h.

## private_seed

uint8_t* psa_tls12_prf_key_derivation_s::private_seed

Definition at line 80 of file crypto_builtin_key_derivation.h.

## private_seed_length

size_t psa_tls12_prf_key_derivation_s::private_seed_length

Definition at line 81 of file crypto_builtin_key_derivation.h.

## private_state

psa_tls12_prf_key_derivation_state_t psa_tls12_prf_key_derivation_s::private_state

Definition at line 76 of file crypto_builtin_key_derivation.h.

The documentation for this struct was generated from the following file:

- crypto_builtin_key_derivation.h